import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.feedback 1.1

Page {
    id:page
    // tools: commonTools
    orientationLock: PageOrientation.LockPortrait
    property int count: 0


    function increment() {

        count = count + 1
    }

    function decrement() {

        count = count - 1
    }

    Rectangle {



        id:root //it's a good idea to name it always root so I'm able to remember it everytime ;)


        width: 480 ; height: 854
        color:"#841773"

        Text
        {

            id:labelshadow
            x: 199
            y: 11
            opacity: 0.2

            anchors.horizontalCenter: root.horizontalCenter
            anchors.verticalCenterOffset: 30
            anchors.horizontalCenterOffset: 10
            color:"black"
            font.pixelSize: 160
            text:count

        }

        Text
        {

            id:label

            anchors.horizontalCenter: root.horizontalCenter
            color:"white"
            font.pixelSize: 160
            text:count

        }



        Rectangle{
            id:schattenall
            x: 48
            y: 236

            opacity: 0.2
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
            anchors.centerIn: root
            width: 390
            height: 387
            color: "#000000"
        }

        Rectangle{

            id:downRECT
            width: root.width/2 -50
            height: root.height/2 -50
            anchors.left: root.left
            anchors.margins: 50
            anchors.verticalCenter: root.verticalCenter
            color:"#748517"

            MouseArea {
                id:mousedown
                anchors.fill: downRECT;
                visible: true

                onPressed: {
                    minusshadow.color="white"
                    minus.opacity=0
                    minusshadow.opacity=1
                    rumbleEffect.start();
                    decrement()
                }
                onReleased:
                {
                    minusshadow.color="black"
                    minus.opacity=1
                    minusshadow.opacity=0.2

                }
            }

            Rectangle{
                id:minusshadow
                x: 50
                y: 182
                width: downRECT.width /2
                height: 20
                anchors.centerIn: downRECT
                color:"#000000"
                opacity: 0.2
                anchors.verticalCenterOffset: 10
                anchors.horizontalCenterOffset: 10
            }

            Rectangle{
                id:minus
                x: 47
                y: 179
                width: downRECT.width /2
                height: 20
                anchors.centerIn: downRECT
                color:"white"
                anchors.verticalCenterOffset: 0
                anchors.horizontalCenterOffset: 0
            }

        }


    }


    Rectangle{
        id:upRECT

        x: 259
        y: 238
        width: root.width/2 -50
        height: root.height/2 -50
        anchors.margins: 50
        anchors.right: root.right
        anchors.verticalCenter: root.verticalCenter
        color:"#177485"



        HapticsEffect {
            id: rumbleEffect
            attackIntensity: 0.0
            attackTime: 30
            intensity: 1.0
            duration: 60 // set up the duration here, in millisecond
            fadeTime: 60
            fadeIntensity: 0.0
        }



        MouseArea {
            id:upmouse
            visible: true
            anchors.fill: upRECT;


            onPressed: {
                plus_mshadow.color="white"
                plusshadow.color="white"
                plus.opacity=0
                plus_m.opacity=0
                plus_mshadow.opacity=1
                plusshadow.opacity=1

                rumbleEffect.start();
                increment()
            }
            onReleased:
            {
                plus_mshadow.color="black"
                plusshadow.color="black"
                plus.opacity=1
                plus_m.opacity=1
                plus_mshadow.opacity=0.2
                plusshadow.opacity=0.2

            }
        }

        Rectangle{

            id:plus_mshadow
            width: upRECT.width /2
            opacity: 0.2

            height: 20
            anchors.centerIn: upRECT
            color:"black"
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
        }

        Rectangle{
            id:plusshadow
            height: upRECT.width /2
            opacity: 0.2

            width: 20
            anchors.centerIn: upRECT
            color:"black"
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
        }

        Rectangle{
            id:plus_m
            width: upRECT.width /2
            height: 20
            anchors.centerIn: upRECT
            color:"white"
        }

        Rectangle{
            id:plus
            height: upRECT.width /2
            width: 20
            anchors.centerIn: upRECT
            color:"white"
        }


        Rectangle{

            color:"black"
            anchors.verticalCenterOffset: 0
            anchors.horizontalCenterOffset: 0
            anchors.centerIn: root
            width: 1
            height: 379
        }


    }



    Rectangle{
        id:mouseareaunten
        color:"black"
        opacity:0.1
        width: root.width
        height: 200
        anchors.bottom:root.bottom
        Text{

            color:"white"
            font.pixelSize: 30
            anchors.verticalCenter: mouseareaunten.verticalCenter
            anchors.horizontalCenter: mouseareaunten.horizontalCenter
            text:"-------------------------------<br>press here and hold to reset <br>------------------------------- "

        }



        MouseArea{
            id:resetthecounter
            smooth: true

            anchors.fill: mouseareaunten

            onPressAndHold:
            {

                reset.opacity=0.9

                console.log("longpressed")
                upmouse.visible=false
                mousedown.visible=false
                noreset.opacity=1
                yesreset.opacity=1

            }



        }


    }

    Rectangle{

        id:reset
        opacity: 0
        color:"#3e3e3e"
        scale: 1
        smooth: true
        visible: true
        height: root.height -380
        width: root.width - 40
        anchors.horizontalCenter: root.horizontalCenter
        anchors.verticalCenter: root.verticalCenter


        Text{

            id:resetcountershadow
            anchors.horizontalCenter: reset.horizontalCenter
            y:30
            font.pixelSize: 60
            color:"black"
            text:"reset counter?"
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
            opacity:0.2

        }


        Text{

            id:resetcounter
            anchors.horizontalCenter: reset.horizontalCenter
            y:30
            font.pixelSize: 60
            color:"white"
            text:"reset counter?"
        }







    }

    Rectangle
    {

        id:noreset
        opacity:0
        color:"#748517"
        x:50
        y:367
        width: 182
        height: 170

        Text{
            id:noshadow
            color:"black"
            anchors.centerIn: noreset
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
            opacity: 0.2
            font.pixelSize: 100
            text: "no"



        }
        Text{
            id:no
            color:"white"
            anchors.centerIn: noreset
            font.pixelSize: 100
            text: "no"



        }


        MouseArea{
            id:mouseno
            anchors.fill: noreset

            onPressed: {

            rumbleEffect.start();
            noshadow.color="white"
            noshadow.opacity=1
            no.opacity=0




            }
            onReleased: {

                reset.opacity=0
                upmouse.visible=true
                mousedown.visible=true
                noreset.opacity=0
                yesreset.opacity=0
                no.opacity=1
                noshadow.color="black"
                noshadow.opacity=0.2
                console.log("no geklickt")

            }



        }

    }

    Rectangle {
        id: yesreset
        opacity:0
        x: 248
        y: 367
        width: 182
        height: 170
        color: "#177485"


        Text{

            id:yesshadow
            color:"black"
            anchors.centerIn: yesreset
            anchors.verticalCenterOffset: 10
            anchors.horizontalCenterOffset: 10
            opacity: 0.2
            font.pixelSize: 100
            text: "yes"



        }

        Text{
            id:yes
            color:"white"
            anchors.centerIn: yesreset
            font.pixelSize: 100
            text: "yes"
        }

        MouseArea{
            id:mouseyes
            anchors.fill: yesreset



            onPressed: {

            rumbleEffect.start();
            yesshadow.color="white"
            yesshadow.opacity=1
            yes.opacity=0




            }
            onReleased: {

                reset.opacity=0
                upmouse.visible=true
                mousedown.visible=true
                noreset.opacity=0
                yesreset.opacity=0
                yes.opacity=1
                yesshadow.color="black"
                yesshadow.opacity=0.2
                count=0;
                console.log("yes geklickt")

            }




        }

    }

}





